nvme_identify_ns_csi(2)

NAME
nvme_identify_ns_csi - I/O command set specific identify namespace data

SYNOPSIS
int nvme_identify_ns_csi (int fd , __u32 nsid , __u8 uuidx , enum nvme_csi csi , void *data );

ARGUMENTS

fd  File descriptor of nvme device

nsid
    Namespace to identify

uuidx
    UUID Index for differentiating vendor specific encoding

csi Command Set Identifier

data
    User space destination address to transfer the data

DESCRIPTION
An I/O Command Set specific Identify Namespace data structure is returned for the namespace specified in nsid.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.